//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <VCLTee.Chart.hpp>
#include <VclTee.TeeGDIPlus.hpp>
#include <VCLTee.TeEngine.hpp>
#include <VCLTee.TeeProcs.hpp>
//---------------------------------------------------------------------------
#include "ChartDonut.h"
#include "MultiChart.h"

class TForm1 : public TForm
{
__published: //Composants grs par l'EDI

	TChart *Chart1;
	TImage *Image1;
	TPanel *panChart;
	TPanel *panBtn;
	TPanel *Panel1;
	TPanel *Panel2;
	TButton *Button1;
	TButton *Button3;
	TPanel *Panel3;
	TCheckBox *chkRandom;

	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);

private: //Dclarations utilisateur

	MultiChart *_multiChart;
	DonutChart *_graph;
	DonutChart *_graph2;
	DonutChart *_graph3;
	DonutChart *_graph4;
	TBitmap *bmp;

	void GenerateChart(TChart &pTChart, DonutChart *&pDonut, UnicodeString pTitle, bool bEmpty = false);

	void CreateMultiChart();
	void ClearChartPtr();

public: //Dclarations utilisateur

	__fastcall TForm1(TComponent* Owner);
	__fastcall ~TForm1();
};

//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
