//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"

#include <cstdlib>
#include <ctime>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------

__fastcall TForm1::TForm1(TComponent * Owner)
		: TForm(Owner)
{
	bmp = NULL;
	_graph = NULL;
	_graph2 = NULL;
	_graph3 = NULL;
	_graph4 = NULL;
	_multiChart = NULL;
}

__fastcall TForm1::~TForm1()
{
	ClearChartPtr();
	delete bmp;
}

void TForm1::ClearChartPtr()
{
	delete _graph;
	_graph = NULL;
	delete _graph2;
	_graph2 = NULL;
	delete _graph3;
	_graph3 = NULL;
	delete _graph4;
	_graph4 = NULL;
	delete _multiChart;
	_multiChart = NULL;
}

void TForm1::GenerateChart(TChart &pTChart, DonutChart *&pDonut, UnicodeString pTitle, bool bEmpty)
{
	delete pDonut;
	pDonut = new DonutChart(pTChart, pTitle);
	if (!bEmpty)
	{
		int iNbVal = 6;
		if (chkRandom->Checked)
		{
			for (int dataCnt = 0; dataCnt < iNbVal; dataCnt++)
			{
				pDonut->AddRandomData();
			}
		}
		else
		{
			for (int dataCnt = 1; dataCnt <= iNbVal; dataCnt++)
			{
				int val = dataCnt * 10;
				pDonut->AddData(val, IntToStr(dataCnt) + L"\r\nValue : " + IntToStr(val));
			}
		}
	}
}

void TForm1::CreateMultiChart()
{
	ClearChartPtr();
	_multiChart = new MultiChart(*Chart1);
	TChart * _chart1 = _multiChart->AddChart();
	TChart * _chart2 = _multiChart->AddChart();
	TChart * _chart3 = _multiChart->AddChart();

	GenerateChart(*_chart1, _graph, "A1", true);
	GenerateChart(*_chart2, _graph2, "B1", true);
	GenerateChart(*_chart3, _graph3, "B2");
}

//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	ClearChartPtr();
	GenerateChart(*Chart1, _graph, "A");
	Chart1->Draw();
	//img
	delete bmp;
	bmp = Chart1->TeeCreateBitmap(clNone, Chart1->ClientRect);
	Image1->Picture->Bitmap = bmp;
}

void __fastcall TForm1::Button3Click(TObject *Sender)
{
	CreateMultiChart();
	Chart1->Draw();
	Chart1->Draw();
	//img
	delete bmp;
	bmp = Chart1->TeeCreateBitmap(clNone, Chart1->ClientRect);
	Image1->Picture->Bitmap = bmp;
}
